## python-telethon 1.24.0

=== debian/changelog ===
python-telethon (1.24.0-2) unstable; urgency=medium

  * setup.py: Sort list of objects before invoking generator.
  * Set LANG to avoid building the docs index with local locale.

 -- Christoph Berg <myon@debian.org>  Sun, 30 Jan 2022 18:41:46 +0100

python-telethon (1.24.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Jan 2022 09:42:49 +0100

=== debian/watch ===
version=4
https://github.com/LonamiWebs/Telethon/tags .*/v(.*).tar.gz

## python-telethon 1.40.0

=== requirements.txt ===
pyaes
rsa

## python-telethon 1.25.1

=== debian/changelog ===
python-telethon (1.25.1-1) unstable; urgency=medium

  * New upstream version 1.25.1.
  * Update watch file to ignore non-release tags.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2022 13:38:14 +0200

=== debian/control ===
Source: python-telethon
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all-dev,
 python3-pyaes <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-rsa <!nocheck>,
Standards-Version: 4.6.0
Testsuite: autopkgtest-pkg-python
Section: python
Homepage: https://github.com/LonamiWebs/Telethon
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-telethon
Vcs-Git: https://salsa.debian.org/python-team/packages/python-telethon.git

Package: python3-telethon
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: Pure Python 3 MTProto API Telegram client library
 Telethon is an asyncio Python 3 MTProto library to interact with Telegram's
 API as a user or through a bot account (bot API alternative).
 .
 Telegram is a popular messaging application. This library is meant to make it
 easy for you to write Python programs that can interact with Telegram. Think
 of it as a wrapper that has already done the heavy job for you, so you can
 focus on developing an application.

Package: python3-telethon-doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Pure Python 3 MTProto API Telegram client library - documentation
 Telethon is an asyncio Python 3 MTProto library to interact with Telegram's
 API as a user or through a bot account (bot API alternative).
 .
 Telegram is a popular messaging application. This library is meant to make it
 easy for you to write Python programs that can interact with Telegram. Think
 of it as a wrapper that has already done the heavy job for you, so you can
 focus on developing an application.
 .
 This package contains the HTML documentation.

## python-telethon 1.38.0

=== debian/changelog ===
python-telethon (1.38.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Nov 2024 09:02:27 +0100

python-telethon (1.37.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1068168):
    - Dropped imghdr support (closes: #1081476).
  * Fix two tests that are currently broken upstream.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Nov 2024 02:44:05 +0000

## python-telethon 1.38.1

=== debian/changelog ===
python-telethon (1.38.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Jan 2025 19:59:39 +0000

## python-telethon 1.39.0

=== debian/changelog ===
python-telethon (1.39.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Mar 2025 18:08:29 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-pyaes <!nocheck>,
  python3-pytest <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANGUAGE=

execute_before_dh_auto_build:
	$(MAKE) -C readthedocs/ html

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

## python-telethon 1.40.0

=== debian/changelog ===
python-telethon (1.40.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add send_as and message_effect_id for client send_file test.
  * Adjust pybuild configuration to avoid needing the test-docdir patch.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 May 2025 11:04:31 +0100

## python-telethon 1.41.1

=== readthedocs/requirements.txt ===
./
sphinx-rtd-theme~=1.3.0

=== debian/changelog ===
python-telethon (1.41.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop using the event_loop fixture (closes: #1115760).

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 01:19:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
  Christoph Berg <myon@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-pyaes <!nocheck>,
@@ -17,7 +18,7 @@
  python3-sphinx-rtd-theme,
  python3-rsa <!nocheck>,
 Standards-Version: 4.6.0
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Section: python
 Homepage: https://github.com/LonamiWebs/Telethon
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-telethon

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	$(MAKE) -C readthedocs/ html
 
 %:
-	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/LonamiWebs/Telethon/tags .*/v([0-9].*).tar.gz

## python-telethon 1.42.0

=== debian/changelog ===
python-telethon (1.42.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix TestSyncifyAsyncContext.test_sync_acontext on Python 3.14 (closes:
    #1123319).

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Dec 2025 00:59:02 +0000
